Analyze Text Endpoint
curl --request POST \
--url https://api.example.com/analyze-landing-text \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>"
}
'import requests
url = "https://api.example.com/analyze-landing-text"
payload = { "text": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({text: '<string>'})
};
fetch('https://api.example.com/analyze-landing-text', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"understood": true,
"message": "<string>",
"redirect_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Analyze Text Endpoint
Analyze the text from the landing page and determine which action to take.
POST
/
analyze-landing-text
Analyze Text Endpoint
Analyze Text Endpoint
Analyzes text from the landing page to determine which action to take.Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| text | string | Yes | Text to analyze |
Responses
| Status | Description | Content Type |
|---|---|---|
| 200 | Analysis results | application/json |
| 422 | Validation Error | application/json |
Response Schema
{
"understood": true,
"message": "Text was understood",
"redirect_url": "/shipment"
}
| Field | Type | Description |
|---|---|---|
| understood | boolean | Whether the text was understood |
| message | string | Response message |
| redirect_url | string | Optional URL to redirect to (can be null) |
⌘I